//
//  AMSerialPort_Private.h
//  AMSerial
//
//  Created by David Hulse on 30/06/2013.
//  Copyright (c) 2013 AOSX. All rights reserved.
//

#import "AMSerialPort.h"

@interface AMSerialPort () {
@private
    int fileDescriptor;
    struct termios tio;
    struct termios original;
    NSMutableDictionary *optionsDictionary;
    NSFileHandle *fileHandle;
    BOOL gotError;
    int	lastError;
    id owner;
    BOOL delegateHandlesReadInBackground;
    BOOL delegateHandlesWriteInBackground;
    NSLock *writeLock;
    NSLock *readLock;
    NSLock *closeLock;

    char buffer[AMSER_MAXBUFSIZE];
    fd_set readfds;

	// used by AMSerialPortAdditions only:
    void (^_onInputBlock)(NSString*);
	id am_readTarget;
	SEL am_readSelector;
	BOOL stopWriteInBackground;
	int countWriteInBackgroundThreads;
	BOOL stopReadInBackground;
	int countReadInBackgroundThreads;
}

@property (readwrite) NSString* productName;
@property (readwrite) NSString* vendorName;
@property (readwrite) unsigned long busLocation;
@property (readwrite) unsigned short vid;
@property (readwrite) unsigned short pid;

@end
